<div class="panel panel-app" [hidden]="!selectedView">
    <div class="panel-heading clearfix panel-white-heading panel-border">
        <!-- <div class="text-left"> -->
        <!-- <div class="svg-holder-asset icon">
                    <svg>
                        <use xlink:href="assets/icons/icon_ServiceManagement.svg#Vector_Smart_Object"></use>
                    </svg> -->
        <span class="pull-left">REALTIME DATA </span>
        <!-- </div> -->
        <span class="pull-right"><a href="javascript:void(0)" (click)="changeTableView()"><i class="glyphicon glyphicon-arrow-left"></i></a>  &nbsp;&nbsp;
        <a href="javascript:void(0)" (click)="changeTableMaxView()" [hidden]="selectedData.length > 0">
        <i class="glyphicon glyphicon-resize-full"></i></a></span>
        <!-- </div> -->
    </div>
    <div class="panel-body-padding panel-border " [ngClass]="selectedData.length >0 ? 'panel-max-height':'panel-full-page-height'">
        
        <div class="table-responsive" *ngIf="realtimeData.length > 0;else no_data">
            <table class="table org-table" [mfData]="realtimeData ? realtimeData[0]?.event_param : []" [mfRowsOnPage]="paginationInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationInfo.sortBy" [(mfSortOrder)]="paginationInfo.sortOrder">
                <thead>
                    <tr>
                        <th>
                            <!-- <input type="checkbox" name=""> -->
                            <mfDefaultSorter by="Name" class="sorter"> DATAPOINT NAME</mfDefaultSorter>
                        </th>
                        <th>
                            <mfDefaultSorter by="Value" class="sorter"> VALUE</mfDefaultSorter>
                        </th>
                        <th>UNIT</th>
                        <th>
                            <mfDefaultSorter by="TS" class="sorter"> LAST UPDATE</mfDefaultSorter>
                        </th>
                        <th>
                            <mfDefaultSorter by="Status" class="sorter">STATUS</mfDefaultSorter>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let asset of mf.data">
                        <td>
                            <input type="checkbox" [value]="asset.Name" (change)="realTimeDataChange($event)" class="checkbox" /> {{asset?.name}}</td>
                        <td>{{asset._val}}</td>
                        <td>{{asset.unit}}</td>
                        <td>{{asset.TS}}</td>
                        <td>{{asset.sts}}</td>
                    </tr>
                </tbody>
                <tr>
                    <td colspan="5" class="text-right">
                        <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
                    </td>
                </tr>
            </table>
            <!-- </div> -->
        </div>
        <ng-template #no_data>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
                No Data exists
            </div>
        </ng-template>
    </div>
</div>
<div class="panel panel-app" [hidden]="selectedView">
    <div class="panel-heading clearfix panel-white-heading">
    <a href="javascript:void(0)" (click)="changeTableView()"><i class="glyphicon glyphicon-arrow-right"></i></a>
    </div>    
    <div class="panel-body-shrink panel-border panel-white-heading" [ngClass]="selectedData.length >0 ? 'panel-max-height':'panel-full-page-height'">
        <div class="vertical-text">REALTIME DATA</div>
    </div>
</div>
